Update an OCF datasourceput {protocol}://{base-url}/integration/v2/datasource/{datasource_id}/This API can be used to update an existing OCF datasource.Path Paramsdatasource_idintegerrequiredid of the datasourceBody ParamsuristringThe uri of the data source. example: mysql://:/<db_name>db_usernamestringThe service account username.db_passwordstringThe service account password.titlestringThe title of the datasource.descriptionstringThe description of the datasource.privatebooleanDefaults to falseBoolean flag determining if the datasource is private. Defaults to False.truefalsecompose_default_uristringUsed to update Default Connection uri in Compose for a deployed(created) Data Source.Responses 200Datasource updated successfully 400Malformed Request 401Unauthorized bad/missing token 403Forbidden User cannot edit this resource 404The specified resource was not found 500Internal Server ErrorUpdated about 1 month ago